function Build.Missing.DependencyXML {
    Param(
        $ConnectionRefObject
    )

    begin {}
    process {
        $xml = "      <MissingDependency>`n        <Required type=`"connectionreference`" displayName=`"$($ServiceAccountMapping."$($ConnectionRefObject.connectionRefType)")`" solution=`"MUMAConnectSegmentation (1.1.0.0)`" id.connectionreferencelogicalname=`"$($ServiceAccountMapping."$($ConnectionRefObject.connectionRefType)")`" />`n        <Dependent type=`"29`" displayName=`"PMC - A Request For Support`" id=`"{$($ConnectionRefObject.workflowEntityId)}`" />`n      </MissingDependency>"
        $xml
    }
    end{}
}